﻿using System.Windows;
using EventDelegatePattern;

namespace WPFApp
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        private Subject _subject = new Subject();

        public Window1()
        {
            InitializeComponent();
            _subject.TextChanged += TurkishLabel.Update;
            _subject.TextChanged += EnglishLabel.Update;
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            _subject.Notify();
        }       
    }
}
