﻿using System;

namespace EventDelegatePattern
{
    public class TextLangChangedEventArgs: EventArgs
    {
        public TextLangChangedEventArgs(string newLang)
        {
            NewLanguage = newLang;
        }

        public string NewLanguage { get; private set; }

    }
}
